#ifndef BISON_PARSER_H
# define BISON_PARSER_H

#ifndef YYSTYPE
typedef union {
  const Effect* effect;
  std::vector<std::pair<Rational, const Effect*> >* outcomes;
  const StateFormula* formula;
  const Atom* atom;
  const Distribution* dist;
  const Expression* expr;
  const Fluent* fluent;
  const Type* type;
  TypeSet* types;
  const std::string* str;
  std::vector<const std::string*>* strs;
  const Rational* num;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	DEFINE	257
# define	DOMAIN_TOKEN	258
# define	PROBLEM	259
# define	REQUIREMENTS	260
# define	TYPES	261
# define	CONSTANTS	262
# define	PREDICATES	263
# define	FUNCTIONS	264
# define	STRIPS	265
# define	TYPING	266
# define	NEGATIVE_PRECONDITIONS	267
# define	DISJUNCTIVE_PRECONDITIONS	268
# define	EQUALITY	269
# define	EXISTENTIAL_PRECONDITIONS	270
# define	UNIVERSAL_PRECONDITIONS	271
# define	QUANTIFIED_PRECONDITIONS	272
# define	CONDITIONAL_EFFECTS	273
# define	FLUENTS	274
# define	ADL	275
# define	DURATIVE_ACTIONS	276
# define	DURATION_INEQUALITIES	277
# define	CONTINUOUS_EFFECTS	278
# define	PROBABILISTIC_EFFECTS	279
# define	REWARDS	280
# define	MDP	281
# define	DELAYED_ACTIONS	282
# define	EXOGENOUS_EVENTS	283
# define	GSMDP	284
# define	ACTION	285
# define	DELAYED_ACTION	286
# define	DELAYED_EVENT	287
# define	PARAMETERS	288
# define	PRECONDITION	289
# define	CONDITION	290
# define	DELAY	291
# define	EFFECT	292
# define	PDOMAIN	293
# define	OBJECTS	294
# define	INIT	295
# define	REWARD_RATE	296
# define	GOAL	297
# define	GOAL_REWARD	298
# define	METRIC	299
# define	TOTAL_TIME	300
# define	GOAL_ACHIEVED	301
# define	EXPONENTIAL	302
# define	WEIBULL	303
# define	LOGNORMAL	304
# define	UNIFORM	305
# define	WHEN	306
# define	NOT	307
# define	AND	308
# define	OR	309
# define	IMPLY	310
# define	EXISTS	311
# define	FORALL	312
# define	PROBABILISTIC	313
# define	ASSIGN	314
# define	SCALE_UP	315
# define	SCALE_DOWN	316
# define	INCREASE	317
# define	DECREASE	318
# define	MINIMIZE	319
# define	MAXIMIZE	320
# define	NUMBER_TOKEN	321
# define	OBJECT_TOKEN	322
# define	EITHER	323
# define	LE	324
# define	GE	325
# define	NAME	326
# define	VARIABLE	327
# define	NUMBER	328
# define	ILLEGAL_TOKEN	329


extern YYSTYPE yylval;

#endif /* not BISON_PARSER_H */
